%define with_aida 0
%define with_apidoc_aggregate 0
Name:          vectorgraphics
Version:       2.1.1
Release:       %mkrel 2
Summary:       FreeHEP Vector Graphics Library
Group:         Development/Java
License:       LGPL
Url:           http://java.freehep.org/vectorgraphics/ 
Source0:       ftp://ftp.slac.stanford.edu/software/freehep/VectorGraphics/v%{version}/vectorgraphics-%{version}-src.tar.gz
#S ource1:       http://java.freehep.org/maven2/hep/aida/aida/3.3/aida-3.3.jar
Patch0:        vectorgraphics-2.1.1-noparent.patch
Patch1:        vectorgraphics-2.1.1-freehep-graphics2d-chartableconverterversion.patch
Patch2:        vectorgraphics-2.1.1-noaida.patch
# for new surefire
Patch3:        vectorgraphics-2.1.1-surefire-apis.patch

BuildRequires: freehep-export
BuildRequires: freehep-io
BuildRequires: freehep-util
BuildRequires: freehep-xml
%if %with_aida
# TODO hep.aida aida 3.3 for test
BuildRequires: aida
%endif
BuildRequires: jas-plotter
BuildRequires: jdom
BuildRequires: junit
BuildRequires: freehep-one-plugin
BuildRequires: freehep-chartableconverter-plugin
BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-exec
BuildRequires: maven-plugin-jxr
BuildRequires: maven-release-plugin
BuildRequires: maven-shared-jar
BuildRequires: maven-site-plugin
BuildRequires: maven-surefire
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: netbeans-platform
BuildRequires: forge-parent
Requires:      freehep-export
Requires:      freehep-io
Requires:      freehep-util
Requires:      freehep-xml
Requires:      jas-plotter
Requires:      junit
Requires:      jpackage-utils
#Requires:      maven-surefire
#Requires:      maven-surefire-provider-junit
BuildArch:     noarch

%description
The VectorGraphics package of the FreeHEP Java Library enables any Java program to
export to a variety of vector graphics formats as well as bitmap image formats.
Among the vector formats are PostScript, PDF, EMF, SVF, and Flash SWF, while the
image formats include GIF, PNG, JPG and PPM.

The package uses the standard java.awt.Graphics2D class as its interface to the
user program. Coupling this package to a standard Java program is therefore straightforward.
It also comes with a dialog box which allows you to choose between all the
formats mentioned above and set specific parameters for them.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
FreeHEP Vector Graphics Library.

This package contains javadoc for %{name}.

%prep
%setup -q

for c in $(find . -name ".cvs"); do
  rm -rf $c
done

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

%patch0 -p0
%patch1 -p0
%if !%with_aida
%patch2 -p1
%endif
%patch3 -p0

%build

cd src
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -pm 644 src/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom

for artifact in graphics2d graphicsio graphicsio-emf graphicsio-java graphicsio-pdf graphicsio-ps graphicsio-svg graphicsio-swf graphicsio-tests ; do
  install -pm 644 src/freehep-$artifact/target/freehep-$artifact-%{version}.jar %{buildroot}%{_javadir}/freehep-$artifact.jar
  install -pm 644 src/freehep-$artifact/pom.xml %{buildroot}%{_mavenpomdir}/JPP-freehep-$artifact.pom
  %add_maven_depmap JPP-freehep-$artifact.pom freehep-$artifact.jar
done

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr src/target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}/


for t in $(find src -name "*.txt") ; do
  sed -i 's/\r//' $t
done

%files
%{_javadir}/freehep-graphics2d.jar
%{_javadir}/freehep-graphicsio.jar
%{_javadir}/freehep-graphicsio-emf.jar
%{_javadir}/freehep-graphicsio-java.jar
%{_javadir}/freehep-graphicsio-pdf.jar
%{_javadir}/freehep-graphicsio-ps.jar
%{_javadir}/freehep-graphicsio-svg.jar
%{_javadir}/freehep-graphicsio-swf.jar
%{_javadir}/freehep-graphicsio-tests.jar
%{_mavenpomdir}/JPP-freehep-*.pom
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc src/Announcement.txt src/LGPL.txt src/LICENSE.txt src/README.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Jan 17 2012 dmorgan <dmorgan> 2.1.1-2.mga2
+ Revision: 197625
- Clean spec file

  + gil <gil>
    - rebuilt with maven 3 support
    - imported package vectorgraphics


* Tue May 31 2011 gil <gil> 2.1.1-0.%%mkrel
- initial rpm